Imports System.Xml
Public Class Ersatzbegriff

    Public Adjektive As New ArrayList
    Public Texte(7) As String
    Public Geschlecht As Geschlechter = Geschlechter.mnnlich
    Public Sub New()
        For I As Integer = 0 To 7
            Texte(I) = ""
        Next
    End Sub
    Public Sub New(ByVal Nd As XmlNode, ByVal Liste_Adjektive As ArrayList)

        Dim AdjStr As String = Nd.Attributes("Adjektive").Value
        Texte = Nd.Attributes("Texte").Value.Split(",")
        Geschlecht = CType(CInt(Nd.Attributes("Geschlecht").Value), Geschlechter)
      
        If AdjStr <> "" Then
            Dim Adjs() As String = AdjStr.Split(",")
            Dim A As Integer
            For Each txt As String In Adjs
                A = CInt(txt)
                Adjektive.Add(Liste_Adjektive.Item(A))
            Next
        End If
    End Sub
    Public Overrides Function ToString() As String
        Return Texte(0)
    End Function
    Public Function ToFallString(ByVal FallZahl As Integer)
        If FallZahl = -1 Then Return Texte(0)

        Return Texte(FallZahl)
    End Function
    Public Function ToErklaerungsString() As String
        Dim Zeilen(2) As String
        Zeilen(0) = Texte(0) & ", " & Texte(1) & ", " & Texte(2) & ", " & Texte(3)
        Zeilen(1) = Texte(4) & ", " & Texte(5) & ", " & Texte(6) & ", " & Texte(7)
        Zeilen(2) = Geschlecht.ToString
        Return Join(Zeilen, ";")
    End Function
End Class
